* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
  scroll-behavior: smooth;
  transition: all 0.7s ease;
}

:root {
  --textdesign-color: rgb(94, 255, 201);
  --background-color: #131313;
  /* --border-color: aquamarine; */
}

/* top-selection */
ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: white;
}

body {
  /* background: #080707c6; */
  background: var(--background-color);
  color: white;
  width: 80%;
  margin: auto;
}

.top-nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 30px 0;
}

.logo, a, input, textarea, img, .button1 {
  cursor: pointer;
}

/* resume */
.resume {
  border: 2px solid var(--textdesign-color);
  border-radius: 10px;
  padding: 10px 25px;
  margin: 40px 0;
}

.resume:hover {
  background-color: var(--textdesign-color);
  /* background-image: linear-gradient( azure, var(--textdesign-color)); */
  color: black;
}

.bxs-download {
  border: 1px solid var(--textdesign-color);
  border-radius: 50%;
  background-color: white;
  color: black;
  padding: 5px;
}

ul {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

ul li a {
  color: azure;
}

ul li a:hover {
  color: var(--textdesign-color);
}

.text-design {
  color: var(--textdesign-color);
}

.hero-text,
p {
  /* margin-top: 150px; */
  margin-bottom: 20px;
}

#contact {
  margin-top: 150px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contact-text {
  margin-bottom: 10px;
}

#hero {
  margin-top: 100px;
  display: flex;
  justify-content: space-between;
}

.hero-image {
  width: 280px;
  border-radius: 50%;
  box-shadow: 5px 2px var(--textdesign-color);
}

.hero-image:hover {
  width: 300px;
  box-shadow: 5px 2px var(--textdesign-color);
}

p {
  line-height: 25px;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 600px;
  /* padding: 10px; */
  /* background: rgba(19, 7, 7, 0.152); */
}

textarea, input {
  padding: 5px;
}

::placeholder {
  padding: 5px;
}

textarea:focus, input:focus {
  outline: none;
}

textarea:hover, input:hover {
  border: 2px solid var(--textdesign-color);
  padding: 10px;
}

.button1 {
  /* margin-top: 30px;
  margin: auto; */
  margin: 30px 220px;

  width: 150px;
  padding: 20px;
  border: 1 px solid white;
  border-radius: 0;
  box-shadow: 3px 3px burlywood;
  background: var(--background-color);
  color: azure;
}

.button1:hover {
  /* background-color: var(--textdesign-color); */
  background-image: linear-gradient(azure, var(--textdesign-color));

  color: var(--background-color);
  box-shadow: 3px 3px var(--background-color);
}

#footer {
  margin-top: 40px;
  text-align: center;
}

/* #footer:hover {
  color: var(--textdesign-color);
} */

/* my skills */

#skills h1 {
  margin-top: 150px;
  text-align: center;
}

.skill__column {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 50px;
}

.skill__name__percent {
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* border: 1px solid white; */
}

.skill__outer__bar {
  width: 100%;
  height: 10px;
  background: grey;
}

.bar1 {
  width: 75%;
  height: 10px;
  background: var(--textdesign-color);
  margin-top: 5px;
}

.bar2 {
  width: 65%;
  height: 10px;
  background: var(--textdesign-color);
  margin-top: 5px;
}

.bar3 {
  width: 60%;
  height: 10px;
  background: var(--textdesign-color);
  margin-top: 5px;
}

.bar4 {
  width: 55%;
  height: 10px;
  background: var(--textdesign-color);
  margin-top: 5px;
}

.bar5 {
  width: 55%;
  height: 10px;
  background: var(--textdesign-color);
  margin-top: 5px;
}

.bar6 {
  width: 55%;
  height: 10px;
  background: var(--textdesign-color);
  margin-top: 5px;
}

/* my portfolio */
#portfolio {
  margin-top: 150px;
}

#portfolio h1,
#portfolio p {
  text-align: center;
}

.card {
  position: relative;
}

.card__image img {
  width: 100%;
  border-radius: 30px;
  opacity: 0.7;
}

.portfolio__grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 50px;
}

.source__icons {
  width: 100%;
  height: 100%;
  background-color: burlywood;
  border-radius: 30px;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: 1s;
}

.card:hover .source__icons {
  opacity: 1;
  scale: 1;
}

.source__icons .bx {
  font-size: 2rem;
}

.source__icons .bx:hover {
  scale: 1.5;
  color: white;
}
